Bug 203048 - Copying (even small) files in Gnome has become painfully slow
Copying (even small) files in Gnome has become painfully slow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 20:11 EDT by Stewart Adam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 08:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2006-08-17 20:11:36 EDT
Description of problem:
When copying relatively small files ( as small as 2 - 3 MB ) in Gnome, the
progress is painfully slow.

For example, I was copying a few songs to my USB mp3 device (yes, it's USB 2.0)
and it took a minute - normally I just see the progress window flash to 100% for
half a second and it dissapears.

Another example is when I was installing a new theme, it was copying the 5MB
tarball from my Desktop to ~/.themes - it took 2 minutes.

Version-Release number of selected component (if applicable):
gnome-panel-2.15.91-1.fc6
gnome-desktop-2.15.91-1.fc6
control-center-2.15.91-3.fc6
gnome-vfs2-2.15.91-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Find a source file in the 2 - 10 MB range (higher just takes longer)
2. Find a destination
3. Use Gnome to copy source > destination
  
Actual results:
It takes forever

Expected results:
It shouldn't take so long.

Additional info:
Perhaps this is related to Nautilus taking too much CPU when copying? I've
noticed, for example, in the version where copying worked well, that copying big
files (eg, moving Fedora ISO's from one HD to another) took ALL my cpu.
Comment 1 Alexander Larsson 2006-08-22 08:24:56 EDT
I believe this is fixed in gnome-vfs2 2.15.92-1.
Comment 2 Stewart Adam 2006-08-22 11:17:03 EDT
Is it in the repos yet? I can't find an update match, I'm stuck v2.15.91-2
Comment 3 Alexander Larsson 2006-08-23 07:37:33 EDT
I think there was a compose failure yesterday. I'll be there soon.

Note You need to log in before you can comment on or make changes to this bug.